import { IAuth } from '../interfaces';
interface IAction {
    type: string;
    user: {};
    data: {
        token: string;
    };
}
declare const authenticationReducer: (state: IAuth, action: IAction) => IAuth | Pick<{
    errors: {
        token: string;
    };
    user: import("../interfaces").IUser;
    isAuthenticated: boolean;
    isLoading: boolean;
    my_account: {};
    token?: string;
    my_permissions?: string | [];
}, "user" | "isLoading" | "errors" | "isAuthenticated" | "my_account"> | {
    isAuthenticated: boolean;
    isLoading: boolean;
    user: {};
    token?: string;
    my_permissions?: string | [];
    errors?: {};
};
export { authenticationReducer };
